require 'highline'

module Xaases
  module Color
    @@highline = HighLine.new

    def self.warn(s = nil)
      puts @@highline.color s || self, :yellow
    end

    def self.yellow(s = nil)
      @@highline.color s || self, :yellow
    end

    def self.failure(s = nil)
      puts @@highline.color s || self, :red
    end

    def self.red(s = nil)
      @@highline.color s || self, :red
    end
  end
end
String.include Xaases::Color

@highline = HighLine.new

def attempt(s)
  puts @highline.color s, :yellow
end
